#include <bits/stdc++.h>

using namespace std;

int main() {
    int y,b,r;
    scanf("%d%d%d",&y,&b,&r);
    int i;
    for(i=1;;i++)
    {
        if(i==y||i+1==b||i+2==r)
            break;
    }
    printf("%d",i*3+3);
    return 0;
}